[flake8]
max-line-length = 88
ignore =
    # do not match Black output
    E203,E501,W503,
    # we have no isort config
    I,
    # "... if .. else ..." is fine
    IF100,
    # using a result variable instead of early return allows later addition of logic
    R504,
    # no warnings about assert
    B011, S101,
    # no warnings about all uses of subprocess
    S404,S603,S607,
    # only relevant if pytest is used
    PT,T003
exclude =
    # code copied by build system
    build,
    # Created locally by IDE plugins
    .ropeproject,
